Subject: Re: bug#39210: Guile 3.0: &assertion undefined in (rnrs conditions (6))

From: Ludovic Courtès <[email-masked]>
Date: Tue, 21 Jan 2020 17:58:20 +0100

Hello,

Ricardo Wurmus <[email-masked]> skribis:

> The module (rnrs conditions (6)) exports &assertion but renames the
> imported &assertion-failure to &assertion-violation (not &assertion).
> Programs using &assertion from (rnrs conditions) fail with an unbound
> variable error.
>
> Using &violation instead of &assertion works.

I believe commit 1b8e9ca0e37fab366435436995248abdfc780a10 fixes it.

Thanks!

Ludo’.